Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707304 - sys-apps/flashrom-1.1 : fails to build with -fno-common or gcc-10
Summary: sys-apps/flashrom-1.1 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Marek Szuba
URL:
Whiteboard:
Keywords:
Depends on: 712500
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-29 20:06 UTC by Toralf Förster
Modified: 2020-03-30 22:42 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.19 KB, text/plain)
2020-01-29 20:06 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,192.77 KB, text/plain)
2020-01-29 20:06 UTC, Toralf Förster
Details
environment (environment,57.24 KB, text/plain)
2020-01-29 20:06 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,15.75 KB, application/x-bzip)
2020-01-29 20:06 UTC, Toralf Förster
Details
sys-apps:flashrom-1.1:20200129-185926.log (sys-apps:flashrom-1.1:20200129-185926.log,91.29 KB, text/plain)
2020-01-29 20:06 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,16.89 KB, application/x-bzip)
2020-01-29 20:06 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-29 20:06:25 UTC
x86_64-pc-linux-gnu-gcc -MMD -O2 -pipe -march=native -fno-common -I/usr/include/libusb-1.0   -D'CONFIG_DEFAULT_PROGRAMMER=PROGRAMMER_INVALID' -D'CONFIG_DEFAULT_PROGRAMMER_ARGS="''"' -D'CONFIG_INTERNAL=1' -D'CONFIG_INTERNAL_DMI=1' -D'CONFIG_SERPROG=1' -D'CONFIG_RAYER_SPI=1' -D'CONFIG_PONY_SPI=1' -D'CONFIG_BITBANG_SPI=1' -D'CONFIG_NIC3COM=1' -D'CONFIG_GFXNVIDIA=1' -D'CONFIG_SATASII=1' -D'CONFIG_ATAVIA=1' -D'CONFIG_ATAPROMISE=1' -D'CONFIG_IT8212=1' -D'CONFIG_FT2232_SPI=1' -D'CONFIG_USBBLASTER_SPI=1' -D'CONFIG_PICKIT2_SPI=1' -D'HAVE_FT232H=1' -I/usr/include/libftdi1 -I/usr/include/libusb-1.0  -D'CONFIG_DUMMY=1' -D'CONFIG_DRKAISER=1' -D'CONFIG_NICREALTEK=1' -D'CONFIG_NICINTEL=1' -D'CONFIG_NICINTEL_SPI=1' -D'CONFIG_NICINTEL_EEPROM=1' -D'CONFIG_OGP_SPI=1' -D'CONFIG_BUSPIRATE_SPI=1' -D'CONFIG_DEDIPROG=1' -D'CONFIG_DEVELOPERBOX_SPI=1' -D'CONFIG_SATAMV=1' -D'CONFIG_LINUX_MTD=1' -D'CONFIG_LINUX_SPI=1' -D'CONFIG_CH341A_SPI=1' -D'CONFIG_DIGILENT_SPI=1' -D'NEED_PCI=1'  -D'NEED_RAW_ACCESS=1' -D'NEED_LIBUSB0=1' -D'NEED_LIBUSB1=1' -D'CONFIG_PRINT_WIKI=1' -D'HAVE_UTSNAME=1' -D'HAVE_CLOCK_GETTIME=1' -D'FLASHROM_VERSION="v1.1"' -o serial.o -c serial.c
x86_64-pc-linux-gnu-gcc -MMD -O2 -pipe -march=native -fno-common -I/usr/include/libusb-1.0   -D'CONFIG_DEFAULT_PROGRAMMER=PROGRAMMER_INVALID' -D'CONFIG_DEFAULT_PROGRAMMER_ARGS="''"' -D'CONFIG_INTERNAL=1' -D'CONFIG_INTERNAL_DMI=1' -D'CONFIG_SERPROG=1' -D'CONFIG_RAYER_SPI=1' -D'CONFIG_PONY_SPI=1' -D'CONFIG_BITBANG_SPI=1' -D'CONFIG_NIC3COM=1' -D'CONFIG_GFXNVIDIA=1' -D'CONFIG_SATASII=1' -D'CONFIG_ATAVIA=1' -D'CONFIG_ATAPROMISE=1' -D'CONFIG_IT8212=1' -D'CONFIG_FT2232_SPI=1' -D'CONFIG_USBBLASTER_SPI=1' -D'CONFIG_PICKIT2_SPI=1' -D'HAVE_FT232H=1' -I/usr/include/libftdi1 -I/usr/include/libusb-1.0  -D'CONFIG_DUMMY=1' -D'CONFIG_DRKAISER=1' -D'CONFIG_NICREALTEK=1' -D'CONFIG_NICINTEL=1' -D'CONFIG_NICINTEL_SPI=1' -D'CONFIG_NICINTEL_EEPROM=1' -D'CONFIG_OGP_SPI=1' -D'CONFIG_BUSPIRATE_SPI=1' -D'CONFIG_DEDIPROG=1' -D'CONFIG_DEVELOPERBOX_SPI=1' -D'CONFIG_SATAMV=1' -D'CONFIG_LINUX_MTD=1' -D'CONFIG_LINUX_SPI=1' -D'CONFIG_CH341A_SPI=1' -D'CONFIG_DIGILENT_SPI=1' -D'NEED_PCI=1'  -D'NEED_RAW_ACCESS=1' -D'NEED_LIBUSB0=1' -D'NEED_LIBUSB1=1' -D'CONFIG_PRINT_WIKI=1' -D'HAVE_UTSNAME=1' -D'HAVE_CLOCK_GETTIME=1' -D'FLASHROM_VERSION="v1.1"' -o custom_baud.o -c custom_baud.c
x86_64-pc-linux-gnu-gcc -Wl,-O1 -Wl,--as-needed -o flashrom cli_classic.o cli_output.o cli_common.o print.o print_wiki.o jedec.o stm50.o w39.o w29ee011.o sst28sf040.o 82802ab.o sst49lfxxxc.o sst_fwhub.o edi.o flashchips.o spi.o spi25.o spi25_statusreg.o opaque.o sfdp.o en29lv640b.o at45db.o processor_enable.o chipset_enable.o board_enable.o cbtable.o internal.o it87spi.o it85spi.o sb600spi.o amd_imc.o wbsio_spi.o mcp6x_spi.o ichspi.o dmi.o serprog.o rayer_spi.o pony_spi.o bitbang_spi.o nic3com.o gfxnvidia.o satasii.o atavia.o atapromise.o it8212.o ft2232_spi.o usbblaster_spi.o pickit2_spi.o dummyflasher.o drkaiser.o nicrealtek.o nicintel.o nicintel_spi.o nicintel_eeprom.o ogp_spi.o buspirate_spi.o dediprog.o developerbox_spi.o satamv.o linux_mtd.o linux_spi.o ch341a_spi.o digilent_spi.o pcidev.o physmap.o hwaccess.o usbdev.o libflashrom.o layout.o flashrom.o udelay.o programmer.o helpers.o ich_descriptors.o fmap.o serial.o custom_baud.o  -lpci -lftdi1 -lusb-1.0   -lrt -lusb  -lusb-1.0  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: developerbox_spi.o:(.bss+0x0): multiple definition of `usb_ctx'; dediprog.o:(.bss+0x8): first defined here
collect2: error: ld returned 1 exit status

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_desktop_gnome_systemd-libressl-20200125-150902

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	IcedTea JDK 3.14.0 [icedtea-bin-8]
Available Java Virtual Machines:
  [1]   icedtea-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 7.10.3

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Wed, 29 Jan 2020 18:06:29 +0000

emerge -qpvO sys-apps/flashrom
[ebuild  N    ] sys-apps/flashrom-1.1  USE="atapromise atavia buspirate-spi ch341a-spi dediprog developerbox-spi digilent-spi drkaiser dummy ft2232-spi gfxnvidia internal internal-dmi it8212 linux-mtd linux-spi nic3com nicintel nicintel-eeprom nicintel-spi nicrealtek ogp-spi pickit2-spi pony-spi rayer-spi satamv satasii serprog usbblaster-spi wiki -atahpt -jlink-spi -mstarddc-spi -nicnatsemi (-static) -tools"
Comment 1 Toralf Förster gentoo-dev 2020-01-29 20:06:27 UTC
Created attachment 608488 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-29 20:06:30 UTC
Created attachment 608490 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-29 20:06:33 UTC
Created attachment 608492 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-29 20:06:36 UTC
Created attachment 608494 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-29 20:06:39 UTC
Created attachment 608496 [details]
sys-apps:flashrom-1.1:20200129-185926.log
Comment 6 Toralf Förster gentoo-dev 2020-01-29 20:06:42 UTC
Created attachment 608498 [details]
temp.tbz2
Comment 7 Marek Szuba gentoo-dev 2020-03-26 21:43:36 UTC
I'll see if this is still a problem with 1.2.
Comment 8 Larry the Git Cow gentoo-dev 2020-03-30 22:42:37 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=de4384a216e0ea905d4d509e7b881a97677c4736

commit de4384a216e0ea905d4d509e7b881a97677c4736
Author:     Marek Szuba <marecki@gentoo.org>
AuthorDate: 2020-03-30 22:31:59 +0000
Commit:     Marek Szuba <marecki@gentoo.org>
CommitDate: 2020-03-30 22:40:10 +0000

    sys-apps/flashrom: bump to 1.2
    
    Turns out the Meson scripts are incomplete for now (e.g. no libftdi
    dependency for usbblaster-spi in spite of the source code referencing
    the relevant header files, no jlink-spi support) so let us continue to
    use the Makefiles.
    
    Closes: https://bugs.gentoo.org/712500
    Closes: https://bugs.gentoo.org/709986
    Closes: https://bugs.gentoo.org/707304
    Signed-off-by: Marek Szuba <marecki@gentoo.org>

 sys-apps/flashrom/Manifest            |   1 +
 sys-apps/flashrom/flashrom-1.2.ebuild | 154 ++++++++++++++++++++++++++++++++++
 2 files changed, 155 insertions(+)